Bug 1308481 - test suite fails on machine with lots of cpu cores
test suite fails on machine with lots of cpu cores
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: quantum-espresso (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: marcindulak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 05:43 EST by Tuomo Soini
Modified: 2016-03-09 15:14 EST (History)
1 user (show)

See Also:
Fixed In Version: quantum-espresso-5.3.0-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:00:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2016-02-15 05:43:10 EST
Description of problem:

Test suite takes rediculous time to complete on test machine with 24 visible cpu cores because %check doesn't honor %{_smp_ncpus_max} setting

Version-Release number of selected component (if applicable):

quantum-espresso-5.3.0-5.el7
quantum-espresso-5.3.0-5.el6

How reproducible:

Always. 12h mock timeout always stops build.

Fix:

%_smp_ncups_max 8

And following change to spec:

diff --git a/quantum-espresso.spec b/quantum-espresso.spec
index 83160b4..f3a0735 100644
--- a/quantum-espresso.spec
+++ b/quantum-espresso.spec
@@ -322,6 +322,10 @@ mv test-suite test-suite.orig
 MPI_SUFFIX=_serial %docheck
 
 NPROC=`cat /proc/cpuinfo | grep processor | wc -l`
+%if 0%{?_smp_ncpus_max}
+[ ${NPROC} -gt %{?_smp_ncpus_max} ] && NPROC=%{?_smp_ncpus_max}
+%endif
+export NPROC
 
 # all parallel tests use mpirun
 sed -i '/unset PARA_PREFIX/d' environment_variables
Comment 1 Tuomo Soini 2016-02-15 05:55:09 EST
Forgot to add 5.3.0-7.* versions are affected too.
Comment 2 Fedora Update System 2016-02-19 15:58:52 EST
quantum-espresso-5.3.0-8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9f04d158ef
Comment 3 Fedora Update System 2016-02-19 15:59:35 EST
quantum-espresso-5.3.0-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-72ad34fd5f
Comment 4 Fedora Update System 2016-02-19 16:00:14 EST
quantum-espresso-5.3.0-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-109b4f4605
Comment 5 Fedora Update System 2016-02-19 16:00:44 EST
quantum-espresso-5.3.0-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2250a6387
Comment 6 marcindulak 2016-02-19 16:19:24 EST
In this case I think it is better to hard-limit the number of processes used for tests to 2. 8 might be already slowing down the tests if one uses hyperthreading on 4 physical cores.
Comment 7 Tuomo Soini 2016-02-19 16:32:20 EST
Very true. Thank you.
Comment 8 Fedora Update System 2016-02-21 01:21:22 EST
quantum-espresso-5.3.0-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-72ad34fd5f
Comment 9 Fedora Update System 2016-02-21 01:53:28 EST
quantum-espresso-5.3.0-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9f04d158ef
Comment 10 Fedora Update System 2016-02-21 12:58:43 EST
quantum-espresso-5.3.0-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2250a6387
Comment 11 Fedora Update System 2016-02-21 13:27:50 EST
quantum-espresso-5.3.0-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-109b4f4605
Comment 12 Fedora Update System 2016-03-09 09:27:38 EST
quantum-espresso-5.3.0-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-09 10:00:20 EST
quantum-espresso-5.3.0-8.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-09 10:55:31 EST
quantum-espresso-5.3.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-09 11:23:10 EST
quantum-espresso-5.3.0-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-09 15:12:53 EST
quantum-espresso-5.3.0-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-09 15:14:06 EST
quantum-espresso-5.3.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.